XmppEndpointURIBuilder (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.xmpp.XmppEndpointURIBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.xmpp
Class XmppEndpointURIBuilder

    java.lang.Object
      org.mule.endpoint.AbstractEndpointURIBuilder
          org.mule.endpoint.UserInfoEndpointURIBuilder
              org.mule.transport.xmpp.XmppEndpointURIBuilder

All Implemented Interfaces:
  EndpointURIBuilder

    public class XmppEndpointURIBuilder

extends UserInfoEndpointURIBuilder

Does the same as the UserInfoEndpointBuilder but also ensures that a path is set on the uri. The path is used as either the groupChat name or the recipient name of a one on one chat.

Field Summary

Fields inherited from class org.mule.endpoint.AbstractEndpointURIBuilder
`address, connectorName, endpointName, responseTransformers, transformers, userInfo`

Constructor Summary
`XmppEndpointURIBuilder()`

Method Summary
`protected void` | `setEndpoint(URI uri, Properties props)`

Methods inherited from class org.mule.endpoint.AbstractEndpointURIBuilder
`build, getPropertiesForURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmppEndpointURIBuilder

    public XmppEndpointURIBuilder()

Method Detail

### setEndpoint

    protected void setEndpoint(URI uri,
                               Properties props)
                        throws MalformedEndpointException

  Overrides:
    `setEndpoint` in class `UserInfoEndpointURIBuilder`
  Throws:
    `MalformedEndpointException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.